<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Interact/ActionNextCombinationLockDialOnTarget.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d1f/_action_next_combination_lock_dial_on_target_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionNextCombinationLockDialOnTarget.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/d1f/_action_next_combination_lock_dial_on_target_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d6/df4/class_action_next_combination_lock_dial_on_target.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d6/df4/class_action_next_combination_lock_dial_on_target.html">ActionNextCombinationLockDialOnTarget</a>: <a class="code hl_class" href="../../d0/d5b/class_action_interact_base.html">ActionInteractBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d6/df4/class_action_next_combination_lock_dial_on_target.html#a263e72bb94c136a6142fa893ff8592c7">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/df4/class_action_next_combination_lock_dial_on_target.html#a263e72bb94c136a6142fa893ff8592c7">ActionNextCombinationLockDialOnTarget</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#next_combination_lock_dial&quot;</span>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d6/df4/class_action_next_combination_lock_dial_on_target.html#aba9d2744053a41182f0759fccb7d0d37">    8</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/df4/class_action_next_combination_lock_dial_on_target.html#aba9d2744053a41182f0759fccb7d0d37">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d7c/class_c_c_i_none.html">CCINone</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../dc/ddd/class_c_c_t_non_ruined.html">CCTNonRuined</a>( <a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">DEFAULT</a> );</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    }</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d6/df4/class_action_next_combination_lock_dial_on_target.html#acb90eb19f989fecc8aa51143a3555fe5">   14</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/df4/class_action_next_combination_lock_dial_on_target.html#acb90eb19f989fecc8aa51143a3555fe5">IsInstant</a>()</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d6/df4/class_action_next_combination_lock_dial_on_target.html#a5d374a47393935a47ceb019c5c0422a2">   19</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/df4/class_action_next_combination_lock_dial_on_target.html#a5d374a47393935a47ceb019c5c0422a2">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {   </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">if</span> (!target.GetObject())</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_class" href="../../d5/d3c/class_combination_lock.html">CombinationLock</a> lock = <a class="code hl_class" href="../../d5/d3c/class_combination_lock.html">CombinationLock</a>.Cast( target.GetObject() );</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">if</span> ( lock &amp;&amp; lock.GetHierarchyParent() &amp;&amp; Fence.Cast(lock.GetHierarchyParent()) )</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <a class="code hl_class" href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a> construction_action_data = player.GetConstructionActionData();</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            construction_action_data.<a class="code hl_function" href="../../d9/dd2/class_construction_action_data.html#a28c40f4f5733c161d21030da2f6bd504">SetCombinationLock</a>( lock );</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d6/df4/class_action_next_combination_lock_dial_on_target.html#affe69d79349e94965e1276ccfa2bf542">   36</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/df4/class_action_next_combination_lock_dial_on_target.html#affe69d79349e94965e1276ccfa2bf542">Start</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        super.Start( action_data );</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="comment">//set next dial</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <a class="code hl_class" href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a> construction_action_data = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetConstructionActionData();</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_class" href="../../d5/d3c/class_combination_lock.html">CombinationLock</a> combination_lock = construction_action_data.<a class="code hl_function" href="../../d9/dd2/class_construction_action_data.html#a58f6c9cedffdd1c668336a19d121b9d3">GetCombinationLock</a>();</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">if</span> ( combination_lock )</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            combination_lock.SetNextDial();</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>}</div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_interact_base_html"><div class="ttname"><a href="../../d0/d5b/class_action_interact_base.html">ActionInteractBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d90/_action_interact_base_8c_source.html#l00054">ActionInteractBase.c:55</a></div></div>
<div class="ttc" id="aclass_action_next_combination_lock_dial_on_target_html"><div class="ttname"><a href="../../d6/df4/class_action_next_combination_lock_dial_on_target.html">ActionNextCombinationLockDialOnTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d1f/_action_next_combination_lock_dial_on_target_8c_source.html#l00001">ActionNextCombinationLockDialOnTarget.c:2</a></div></div>
<div class="ttc" id="aclass_action_next_combination_lock_dial_on_target_html_a263e72bb94c136a6142fa893ff8592c7"><div class="ttname"><a href="../../d6/df4/class_action_next_combination_lock_dial_on_target.html#a263e72bb94c136a6142fa893ff8592c7">ActionNextCombinationLockDialOnTarget::ActionNextCombinationLockDialOnTarget</a></div><div class="ttdeci">void ActionNextCombinationLockDialOnTarget()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d1f/_action_next_combination_lock_dial_on_target_8c_source.html#l00003">ActionNextCombinationLockDialOnTarget.c:3</a></div></div>
<div class="ttc" id="aclass_action_next_combination_lock_dial_on_target_html_a5d374a47393935a47ceb019c5c0422a2"><div class="ttname"><a href="../../d6/df4/class_action_next_combination_lock_dial_on_target.html#a5d374a47393935a47ceb019c5c0422a2">ActionNextCombinationLockDialOnTarget::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d1f/_action_next_combination_lock_dial_on_target_8c_source.html#l00019">ActionNextCombinationLockDialOnTarget.c:19</a></div></div>
<div class="ttc" id="aclass_action_next_combination_lock_dial_on_target_html_aba9d2744053a41182f0759fccb7d0d37"><div class="ttname"><a href="../../d6/df4/class_action_next_combination_lock_dial_on_target.html#aba9d2744053a41182f0759fccb7d0d37">ActionNextCombinationLockDialOnTarget::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d1f/_action_next_combination_lock_dial_on_target_8c_source.html#l00008">ActionNextCombinationLockDialOnTarget.c:8</a></div></div>
<div class="ttc" id="aclass_action_next_combination_lock_dial_on_target_html_acb90eb19f989fecc8aa51143a3555fe5"><div class="ttname"><a href="../../d6/df4/class_action_next_combination_lock_dial_on_target.html#acb90eb19f989fecc8aa51143a3555fe5">ActionNextCombinationLockDialOnTarget::IsInstant</a></div><div class="ttdeci">override bool IsInstant()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d1f/_action_next_combination_lock_dial_on_target_8c_source.html#l00014">ActionNextCombinationLockDialOnTarget.c:14</a></div></div>
<div class="ttc" id="aclass_action_next_combination_lock_dial_on_target_html_affe69d79349e94965e1276ccfa2bf542"><div class="ttname"><a href="../../d6/df4/class_action_next_combination_lock_dial_on_target.html#affe69d79349e94965e1276ccfa2bf542">ActionNextCombinationLockDialOnTarget::Start</a></div><div class="ttdeci">override void Start(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d1f/_action_next_combination_lock_dial_on_target_8c_source.html#l00036">ActionNextCombinationLockDialOnTarget.c:36</a></div></div>
<div class="ttc" id="aclass_c_c_i_none_html"><div class="ttname"><a href="../../d4/d7c/class_c_c_i_none.html">CCINone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_c_c_i_none_8c_source.html#l00001">CCINone.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_non_ruined_html"><div class="ttname"><a href="../../dc/ddd/class_c_c_t_non_ruined.html">CCTNonRuined</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/da0/_c_c_t_non_ruined_8c_source.html#l00001">CCTNonRuined.c:2</a></div></div>
<div class="ttc" id="aclass_combination_lock_html"><div class="ttname"><a href="../../d5/d3c/class_combination_lock.html">CombinationLock</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/de7/_combination_lock4_8c_source.html#l00001">CombinationLock4.c:2</a></div></div>
<div class="ttc" id="aclass_construction_action_data_html"><div class="ttname"><a href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d9b/_construction_action_data_8c_source.html#l00001">ConstructionActionData.c:2</a></div></div>
<div class="ttc" id="aclass_construction_action_data_html_a28c40f4f5733c161d21030da2f6bd504"><div class="ttname"><a href="../../d9/dd2/class_construction_action_data.html#a28c40f4f5733c161d21030da2f6bd504">ConstructionActionData::SetCombinationLock</a></div><div class="ttdeci">void SetCombinationLock(CombinationLock combination_lock)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d9b/_construction_action_data_8c_source.html#l00194">ConstructionActionData.c:194</a></div></div>
<div class="ttc" id="aclass_construction_action_data_html_a58f6c9cedffdd1c668336a19d121b9d3"><div class="ttname"><a href="../../d9/dd2/class_construction_action_data.html#a58f6c9cedffdd1c668336a19d121b9d3">ConstructionActionData::GetCombinationLock</a></div><div class="ttdeci">CombinationLock GetCombinationLock()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d9b/_construction_action_data_8c_source.html#l00189">ConstructionActionData.c:189</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00101">ActionConstants.c:102</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html_aef260d89bc0f791bc7c313cae73f8450"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">UAMaxDistances::DEFAULT</a></div><div class="ttdeci">const float DEFAULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00104">ActionConstants.c:104</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_db22a6aaa1333ce39e022321034f28d1.html">Interact</a></li><li class="navelem"><a class="el" href="../../d9/d1f/_action_next_combination_lock_dial_on_target_8c.html">ActionNextCombinationLockDialOnTarget.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
